using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static int metoda(int[] a, int x, out int pozicija)
        {
            int l = 0;
            int d = a.Length - 1;
            int s = 0;
            while (l <= d)
            {
                s = (l + d) / 2;
                if (a[s] == x)
                {
                    pozicija = 0;
                    return s;
                }
                else if (x < a[s])
                    d = s - 1;
                else
                    l = s + 1;
            }
            if (s == a.Length - 1 || s == 0)
                pozicija = 1;
            else
                pozicija = 2;
            return s;
        }
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            int[] a = new int[n];
            int[] b = new int[m];
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(s[i]);
            }
            s = Console.ReadLine().Split();
            for (int i = 0; i < m; i++)
            {
                b[i] = int.Parse(s[i]);
            }
            Array.Sort(a);
            int mesto;
            int BS;
            int pozicija;
            bool paran = n % 2 == 0;
            for (int i = 0; i < m; i++)
            {
                BS = metoda(a, b[i], out pozicija);
                if (pozicija == 0)
                {
                    if (paran)
                        mesto = Math.Abs(n / 2 - BS) * 2 - 1;
                    else
                        mesto = Math.Abs(n / 2 - BS) * 2;
                }
                else if (pozicija == 1)
                {
                    if (paran)
                        mesto = n / 2 + 1;
                    else
                        mesto = n / 2 + 2;
                }
                else
                {
                    if (paran)
                        mesto = Math.Abs(BS - 1 - n / 2 + 2);
                    else
                        mesto = Math.Abs(BS - 1 - n / 2 + 3);
                }

                Console.WriteLine(mesto);
            }
            Console.ReadLine();
        }
    }
}